;======================
;  Sprites and Stuff!
;======================
SpritePosTable:  .dw 0,0,0,0,0,0,0,0
SpriteGfxTable:  .dw 0,0,0,0,0,0,0,0

SpriteGTable:    .db 0,0,0,0,0,0,0,0
SpriteTable:     .db 0,0,0,0,0,0,0,0

PlayPos = SpritePosTable
StairsDownPos = PlayPos+2
StairsUpPos = PlayPos+4
ItemPos = PlayPos+6
PortalPos = PlayPos+8

;========================
;  The real ObjectTable
;========================
;SpriteTable: .fill SpriteTotal*8,0


;=========================
;  Stack Pointer Backup!
;=========================
BackupSP:
  .dw 0

;================
;  Resume Data:
;================
ResumeData:
	.dw 0,0

;============
;  TempRam!
;============
Temp1:
Target:
	.db 0
Source:
	.db 0
temp2:
	.dw 0

;============
;  AnimVars
;============
AnimTiles:
	.db %11111111,%11110000
AnimRot:
	.db %00001110
AnimTileDir: .db $0E

;=======================================================
;  Variables!  (inside program for writeback purposes)
;=======================================================
variables:

enemyram:
	.dw 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	.dw 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	.dw 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	.dw 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	.dw 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
Partyram:
;	.dw 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
;	.dw 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
;	.dw 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
;	.dw 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0

namepointer:  .dw tRoto
row:    .db 0		;Y position for map
col:    .db 0   ;X position for map
xpos:   .db 0   ;X position for caveram
ypos:   .db 0   ;Y position for caveram
frame:  .db 0   ;Frame of player animation
room:   .db 0   ;Depth in dungeon
lev:    .db 0   ;Experience Level
herbs:	.db 0   ;Number of herbs

hp:     .dw 0   ;Life
mhp:    .dw 0   ;Max life
atk:	  .dw 0   ;Attack Power
def:	  .dw 0   ;Defense power
gold:   .dw 0   ;Gold
exp:    .dw 0   ;Exp Points
exp2:   .dw 0   ;...

str:	  .dw 0   ;Strength
ndf:	  .dw 0   ;Natural Defense
yNull:  .dw tNull
fight:  .db 4   ;Squares left till battle
yflags: .db 0

;Monster Ally's stats:
	.dw 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0

itemx:  .db 0   ;X-Position of item
itemy:  .db 0   ;Y-Position of item
itemn:  .db 0   ;# of item

sword:  .dw 0   ;Sword
shield:	.dw 0   ;Shield strength

scrolls:  ;Holding each scroll
	.db 0,0,0,0,0,0,0,0

endofvars:

exptable:
	.dw 0
	.dw 7
	.dw 20
	.dw 56
	.dw 100
	.dw 184
	.dw 255
	.dw 360
	.dw 515
	.dw 666
	.dw 768
	.dw 999
	.dw 1111
	.dw 1459
	.dw 1984
	.dw 2500
	.dw 3160
	.dw 4444
	.dw 5800
	.dw 7734
	.dw 16384
	.dw 32768
	.dw 65535

;IX values for enemies
e_text1   = 0
e_xpos	  = 2
e_ypos    = 3
e_sprite  = 4
e_null1   = 6
e_level   = 8
e_null2   = 9
e_hp      = 10
e_mhp			= 12
e_atk		  = 14
e_def		  = 16
e_exp     = 18
e_gold    = 20
e_null3   = 22
e_attack1 = 24
e_attack2 = 25
e_attack3 = 26
e_attack4 = 27
e_text2   = 28
e_null4   = 30
e_flags   = 31


bar:
 .db %10000000
 .db %10000000
 .db %10000000
 .db %10000000
 .db %10000000
 .db %10000000
 .db %10000000
whitey2:
 .db %00000000
 .db %00000000
 .db %00000000
 .db %00000000
 .db %00000000
 .db %00000000
 .db %00000000
whitey:
 .db %00000000
 .db %00000000
 .db %00000000
 .db %00000000
 .db %00000000
 .db %00000000
 .db %00000000
 .db %00000000
 .db %11111111
 .db %00000000
 .db %00000000
 .db %00000000
 .db %00000000
 .db %00000000
 .db %00000000
 .db %00000000
