;e_text1   = 0
;
;e_xpos	  = 2
;e_ypos    = 3
;
;e_sprite  = 4
;;
;e_level   = 8
;
;e_hp      = 10
;e_mhp			= 12
;e_atk		  = 14
;e_def		  = 16
;e_exp     = 18
;e_gold    = 20
;
;e_attack1 = 24
;e_attack2 = 25
;e_attack3 = 26
;e_attack4 = 27
;
;e_text2   = 28


t_red				= 1
t_blue			= 2
t_green			= 3
t_metal			= 4
t_demon			= 5
t_gold			= 6
t_giant     = 7
t_magi			= 8

m_slime     = 0
m_wolfoid   = 1
m_knight    = 2
m_dragon    = 3
m_drakee    = 4
m_kingslime = 5
m_mushroom  = 6
m_demonite  = 7

a_Fight			= 0
a_Critical 	= 1
a_Miss      = 2
a_DoubleHit = 3

a_Heal			= 4
a_Healmore  = 5
a_HealAll   = 6
a_HealUs    = 7

a_Blaze			= 8
a_BlazeMore = 9
a_Infernos  = 10
a_IceBreath = 11

a_Helpcall	= 12
a_Retreat   = 13
a_Defeat_NoMP = 14
a_Explodet_NoMP = 15


;Monster 00			 ;L01-15  Slime
	.db m_slime		 ;Type
	.db 3          ;HP  Slope
	.db 6 				 ;    Intercept
	.db 3          ;Atk Slope
	.db 8          ;    Intercept
	.db 2          ;Def Slope
	.db 8          ;    Intercept
	.db 3          ;Exp Slope
	.db 5          ;    Intercept
	.db 1          ;Gp  Slope
	.db 1          ;    Intercept
	.db a_fight    ;Attack 1
	.db a_fight    ;Attack 2
	.db a_fight    ;Attack 3
	.db a_miss     ;Attack 4
	.db %00000000  ;2nd name

;Monster 01			 ;L01-15  Drakee
	.db m_Drakee	 ;Type
	.db 3          ;HP  Slope
	.db 12				 ;    Intercept
	.db 3          ;Atk Slope
	.db 12         ;    Intercept
	.db 3          ;Def Slope
	.db 9          ;    Intercept
	.db 4          ;Exp Slope
	.db 5          ;    Intercept
	.db 2          ;Gp  Slope
	.db 1          ;    Intercept
	.db a_fight    ;Attack 1
	.db a_fight    ;Attack 2
	.db a_fight    ;Attack 3
	.db a_critical ;Attack 4
	.db %00000000  ;2nd name

;Monster 02			 ;L01-15  Mushroom
	.db m_Mushroom ;Type
	.db 5          ;HP  Slope
	.db 10				 ;    Intercept
	.db 3          ;Atk Slope
	.db 12         ;    Intercept
	.db 4          ;Def Slope
	.db 4          ;    Intercept
	.db 5          ;Exp Slope
	.db 7          ;    Intercept
	.db 3          ;Gp  Slope
	.db 3          ;    Intercept
	.db a_fight    ;Attack 1
	.db a_fight    ;Attack 2
	.db a_heal     ;Attack 3
	.db a_critical ;Attack 4
	.db t_demon		 ;2nd name

;Monster 03			 ;L01-15  Demonite
	.db m_Demonite ;Type
	.db 4          ;HP  Slope
	.db 12				 ;    Intercept
	.db 5          ;Atk Slope
	.db 6          ;    Intercept
	.db 4          ;Def Slope
	.db 8          ;    Intercept
	.db 5          ;Exp Slope
	.db 7          ;    Intercept
	.db 5          ;Gp  Slope
	.db 4          ;    Intercept
	.db a_fight    ;Attack 1
	.db a_IceBreath;Attack 2
	.db a_Defeat_NoMP
	.db a_Explodet_NoMP
	.db 0          ;2nd name

;Monster 04			 ;L01-15  Wolfoid
	.db m_Wolfoid	 ;Type
	.db 2          ;HP  Slope
	.db 15				 ;    Intercept
	.db 5          ;Atk Slope
	.db 12         ;    Intercept
	.db 1          ;Def Slope
	.db 8          ;    Intercept
	.db 5          ;Exp Slope
	.db 6          ;    Intercept
	.db 2          ;Gp  Slope
	.db 4          ;    Intercept
	.db a_fight    ;Attack 1
	.db a_doublehit;Attack 2
	.db a_miss     ;Attack 3
	.db a_critical ;Attack 4
	.db 0          ;2nd name

;Monster 05			 ;L01-15  Knight
	.db m_Knight	 ;Type
	.db 3          ;HP  Slope
	.db 10				 ;    Intercept
	.db 4          ;Atk Slope
	.db 10         ;    Intercept
	.db 4          ;Def Slope
	.db 10         ;    Intercept
	.db 5          ;Exp Slope
	.db 10         ;    Intercept
	.db 2          ;Gp  Slope
	.db 1          ;    Intercept
	.db a_fight    ;Attack 1
	.db a_fight    ;Attack 2
	.db a_miss     ;Attack 3
	.db a_critical ;Attack 4
	.db 0          ;2nd name

;Monster 06			 ;L01-15  Dragon
	.db m_Dragon	 ;Type
	.db 6          ;HP  Slope
	.db 5 				 ;    Intercept
	.db 6          ;Atk Slope
	.db 5          ;    Intercept
	.db 6          ;Def Slope
	.db 5          ;    Intercept
	.db 4          ;Exp Slope
	.db 20         ;    Intercept
	.db 8          ;Gp  Slope
	.db 10         ;    Intercept
	.db a_blaze    ;Attack 1
	.db a_fight    ;Attack 2
	.db a_fight    ;Attack 3
	.db a_infernos ;Attack 4
	.db 0          ;2nd name

;Monster 07			 ;L01-15  Metal Slime
	.db m_Slime 	 ;Type
	.db 1          ;HP  Slope
	.db 1 				 ;    Intercept
	.db 2          ;Atk Slope
	.db 7          ;    Intercept
	.db 50         ;Def Slope
	.db 50         ;    Intercept
	.db 100        ;Exp Slope
	.db 50         ;    Intercept
	.db 8          ;Gp  Slope
	.db 2          ;    Intercept
	.db a_blaze    ;Attack 1
	.db a_fight    ;Attack 2
	.db a_blaze    ;Attack 3
	.db a_retreat  ;Attack 4
	.db t_metal    ;2nd name

;Monster 08			 ;L01-15  Helpcall Slime
	.db m_Slime 	 ;Type
	.db 20         ;HP  Slope
	.db 40				 ;    Intercept
	.db 3          ;Atk Slope
	.db 8          ;    Intercept
	.db 2          ;Def Slope
	.db 8          ;    Intercept
	.db 3          ;Exp Slope
	.db 5          ;    Intercept
	.db 1          ;Gp  Slope
	.db 1          ;    Intercept
	.db a_helpcall ;Attack 1
	.db a_helpcall ;Attack 2
	.db a_helpcall ;Attack 3
	.db a_fight    ;Attack 4
	.db 0				   ;2nd name

;Monster 09			 ;L01-15  King Slime!
	.db m_KingSlime;Type
	.db 30         ;HP  Slope
	.db 70  			 ;    Intercept
	.db 12         ;Atk Slope
	.db 52         ;    Intercept
	.db 3          ;Def Slope
	.db 9          ;    Intercept
	.db 10         ;Exp Slope
	.db 50         ;    Intercept
	.db 10         ;Gp  Slope
	.db 50         ;    Intercept
	.db a_fight    ;Attack 1
	.db a_fight    ;Attack 2
	.db a_heal     ;Attack 3
	.db a_critical ;Attack 4
	.db 0          ;2nd name
